// ---------------------------- VSPIX.H -----------------------
// Written by Javier Ar‚valo Baeza.
// Screen loading functions.

#ifndef _VSPIX_H_
#define _VSPIX_H_

#ifndef _VSBASE_H_
#include "vsbase.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

extern int VSPIX_LoadGIF(const char* file, unsigned char *outpix, unsigned char * pal, int* width, int* height);

extern int VSPIX_LoadPCX(const char* file, unsigned char *outpix, unsigned char * pal, int* width, int* height);

extern int VSPIX_LoadLBM(const char* file, unsigned char *outpix, unsigned char * pal, int* width, int* height);

extern int VSPIX_LoadTGA(const char* file, unsigned char *outpix, unsigned char * pal, int* width, int* height);

extern int VSPIX_Load(const char* file, unsigned char *outpix, unsigned char * pal, int* width, int* height);

#ifdef __cplusplus
}
#endif

#endif

// ---------------------------- VSPIX.H -----------------------
